package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_ORD_DESIGN_MSC_CFT_R_GZ所对应的实体类（生成工具：代码生成器3.0）
 * @author Chenxi-PC2   date 2015-09-16
 */
@SuppressWarnings("serial")
public class DesignMscCftRGzEntity implements java.io.Serializable {
    /**
     * 适用钢种索引号
     */
    private String gradeSeq = "";
    /**
     * 钢种代码(GZ0001)
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";

    /**
     * 适用钢种索引号
     * @return value
     */
    public String getGradeSeq() {
        return gradeSeq;
    }

    /**
     * 适用钢种索引号
     * @param gradeSeq value
     */
    public void setGradeSeq(String gradeSeq) {
        this.gradeSeq = gradeSeq;
    }

    /**
     * 钢种代码(GZ0001)
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码(GZ0001)
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }
}
